Bug 47689 - ant test does not work
ant test does not work
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Tester
5.5.27
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-08-12 08:35 UTC by Sebb
Modified: 2010-01-27 10:15 UTC (History)
0 users



Attachments
Patch to fix the test target. (7.51 KB, application/octet-stream)
2009-12-14 00:56 UTC, Mark Thomas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2009-08-12 08:35:58 UTC
The "ant test" command fails with the following output:

Buildfile: build.xml

test:
     [echo] Target: Catalina - Test ...

test:
     [echo] Target: Catalina - Test ...

flags:

flags.display:
     [echo] --- Build environment for Catalina ---
     [echo] If ${property_name} is displayed, then the property is not set)
     [echo] --- Build options ---
     [echo] full.dist=${full.dist}
     [echo] build.sysclasspath=${build.sysclasspath}
     [echo] compile.debug=on
     [echo] compile.deprecation=off
     [echo] compile.optimize=off
     [echo] --- Ant Flags ---
     [echo] <style> task available (required)=true
     [echo] --- JDK ---
     [echo] jdk.1.2.present=true
     [echo] jdk.1.3.present=true
     [echo] jdk.1.4.present=true
     [echo] jdk.1.5.present=true
     [echo] --- Source Dependencies ---
     [echo] jtc.home.present=true
     [echo] --- Required Libraries ---
     [echo] beanutils.present=true
     [echo] collections.present=true
     [echo] digester.present=true
     [echo] jaxp.present=true
     [echo] jndi.present=true
     [echo] logging.present=true
     [echo] regexp.present=${regexp.present}
     [echo] --- Optional Libraries ---
     [echo] dbcp.present=true
     [echo] fileupload.present=true
     [echo] jaas.present=true
     [echo] javamail.present=${javamail.present}
     [echo] jmx.present=true
     [echo] jsse.present=true
     [echo] jta.present=${jta.present}
     [echo] junit.present=true
     [echo] lang.present=${lang.present}
     [echo] launcher.present=true
     [echo] launcher.bootstrap.present=true
     [echo] ldap.present=true
     [echo] modeler.present=true
     [echo] pool.present=true
     [echo] --- Required JARs ---
     [echo] jndi.jar.present(except JDK 1.3+)=${jndi.jar.present}
     [echo] regexp.jar.present=${regexp.jar.present}
     [echo] servlet-api.jar.present=true
     [echo] xerces2.jars.present(except JDK 1.4+)=true
     [echo] --- Optional JARs ---
     [echo] dbcp.jar.present=true
     [echo] fileupload.jar.present=true
     [echo] jaas.jar.present=${jaas.jar.present}
     [echo] javamail.jar.present=${javamail.jar.present}
     [echo] jmx.jar.present=true
     [echo] jta.jar.present=${jta.jar.present}
     [echo] junit.jar.present=true
     [echo] modeler.jar.present=true
     [echo] pool.jar.present=true
     [echo] --- Conditional compilation flags ---
     [echo] compile.dbcp=true
     [echo] compile.jaas=true
     [echo] compile.javamail=${compile.javamail}
     [echo] compile.jmx=true
     [echo] compile.jndi=true
     [echo] compile.jsse=true
     [echo] compile.jta=${compile.jta}
     [echo] compile.junit=true
     [echo] compile.ldap=true
     [echo] compile.ssi=true
     [echo] --- Distribution flags ---
     [echo] copy.dbcp.jar=true
     [echo] copy.jmx.jar=true
     [echo] copy.launcher.jars=true
     [echo] copy.logging.jar=true
     [echo] copy.modeler.jar=true
     [echo] copy.pool.jar=true

build-prepare:

copy-fileupload.jar:

copy-launcher.jars:

copy-modeler.jar:

build-static:

build-tomcat-util:

detect:

build-prepare:

tomcat-util.jar:
     [echo] ----- Java-utils -----
     [echo] -- puretls.present = ${puretls.present}
     [echo] -- jsse.present = true /usr/share/java/jsse-1.0.3/lib/jsse.jar
     [echo] -- commons-logging = true
     [echo] -- jmx = true /usr/share/java/mx4j-3.0.2/lib/mx4j.jar
     [echo] -- modeler = true /usr/share/java/commons-modeler-2.0.1/commons-modeler-2.0.1.jar
     [echo] -- skip.digester = ${skip.digester}
     [echo] -- JDK14 = true
     [echo] -- JDK15 = true
    [javac] Compiling 94 source files to D:\eclipseworkspaces\main\tomcat5.5-trunk\connectors\util\build\classes
    [javac] D:\eclipseworkspaces\main\tomcat5.5-trunk\connectors\util\java\org\apache\tomcat\util\net\AprEndpoint.java:26: package org.apache.tomcat.j
ni does not exist
    [javac] import org.apache.tomcat.jni.OS;
    [javac]                              ^

To reproduce:
Checkout tomcat/tc5.5.x/trunk
cd build
ant test
Comment 1 Mark Thomas 2009-12-14 00:56:52 UTC
Created attachment 24704 [details]
Patch to fix the test target.
Comment 2 Konstantin Kolinko 2010-01-27 10:15:28 UTC
Fixed in 5.5 in rev.903776, will be in 5.5.29 onwards. Thank you.